/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package simpsons.places;

import java.util.ArrayList;
import java.util.Collection;
import simpsons.Entity;
import simpsons.Visitable;
import simpsons.visitor.GameVisitor;
import simpsons.props.Prop;
/**
 *
 * @author pavel
 */
public abstract class Place extends Entity implements Visitable {
    Collection<Entity> entities;
    
    public Place() {
        entities = new ArrayList<Entity>();
    }
    
    
    public void addEntity(Entity e) {
        entities.add(e);
    }

    @Override
    public void acceptVisitor(GameVisitor g) {
        for(Entity e : entities) {
            e.acceptVisitor(g);
        }
    }
}
