/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package simpsons;

import java.util.ArrayList;
import java.util.Collection;
import simpsons.places.Place;
import simpsons.visitor.GameVisitor;

/**
 *
 * @author pavel
 */
public class Game implements Visitable {
    Collection<Place> places;
    
    public Game() {
        places = new ArrayList<Place>();
    }
    
    public void addPlace(Place p) {
        places.add(p);
    }

    @Override
    public void acceptVisitor(GameVisitor g) {
        g.visit(this);
        for(Place p : places) {
            p.acceptVisitor(g);
        }
    }
}
